=== cmake/debian/changelog ===
uhd (3.14.1.0-0ubuntu1) ubuntu_release; urgency=low

  N320: Terminate the DAC when not transmitting
  E320: Add support for rev E
  E320: Added .gitignore for FPGA build products
  X300: Add DPDK support
  X300: add capability to flash NI-2974 FPGA
  X300: Broke two critical timing paths in FPGA
  X300: fixed udp WSA buffer size assignment issue
  E310: Fix DRAM_TEST target build
  B200: Add bootloader for FX3 (fix for B2xx failing to enumerate)
  TwinRX: Expose charge pump current for LO2
  TwinRX: Add low spur mode for LO2
  TwinRX: increase rev c lo1 charge pump default value
  TwinRX: Fix tick rate
  Device3: Constraint send/recv_frame_size based on down/upstream MTU
  Device3: Fix MTU and default frame sizes
  RFNoC: Search all nodes for tick rates
  RFNoC: Change default address for the reg readbacks
  uhd_image_builder: Let the OOT module point to folders not named "rfnoc"
  uhd_image_builder: Add --auto-inst-src
  MPMD: Fix spurious reclaim call after unclaim
  MPMD: Release resources on destruction
  MPM: Add SW/HW compat
  liberio: Release context holder on destruction of last liberio xport
  transport: fixed a pre-mature buffer reset
  nirio: Fix typo in nirio_zero_copy
  GPSD: fix API for 'gps_read'
  AD9361: Fix return values for tune and set_clock_rate
  DUC/DDC: Fix phase reset and accumulation
  cores: Use NSDMI consistently in ?x_dsp_core_3000.*
  Logging: fix deadlock issue on Windows machines
  Logging: Fix ANSI colour codes
  Utils: Add X300/X310 reset utility
  Docs: Improved Windows-related build instructions
  Docs: Add link to README for building custom filesystems for N3xx
  sim: Fixing the port number in use for connection
  tools: Fix for proj creation in ip_utils for tcl-based IP
  tests: Fix mock_ctrl_iface for 32-bit MSVC

 -- Ettus Research <packages@ettus.com>  Fri, 28 Jun 2019 09:00:12 -0800

uhd (3.14.0.0-0ubuntu1) ubuntu_release; urgency=low

  * N320: Add support for N320 and N321
  * USRP-2974: Add support for USRP-2974
  * DPDK: Add DPDK-based sockets-like library (for N3xx)
  * N3xx: clocking API changes for transitioning clock and time sources
  * N3xx: Bump max rev to G/6
  * N3xx: Improve error messages for invalid clock/time settings
  * N3xx: Get RFNoC crossbar baseport from FPGA
  * N3xx: init peripherals before loading FPGA (to fix SFP0 init issues)
  * N3xx: Move Linux kernel to 4.15
  * N3xx/E320: Prepend SDK filename with device name
  * N3xx: Update max rev to 7 (H)
  * N3xx: Remove DDR3 from standard BIST collection
  * N3xx: BIST: Improve DDR3 BIST to check for DmaFIFO
  * N3xx: BIST: Auto-load the AA image for the ddr3 BIST
  * N3xx: BIST: DDR3 test only enumerates first block
  * N310: Modify AD9371 reset function to keep it in reset
  * N310: move init_rf_cal before JESD de/framer bringup
  * N310: Fix sporadic power on failures (requires firmware update)
  * E3xx: Increase spp limit for E3xx radio
  * E320: bist: Fix ref_clock lock test implementation
  * E320: bist: Add link_up test
  * E320: Add all 5 temp sensors, fan sensor and rssi sensors per channel
  * E320: Fix tx/rx atr - antenna and frequency settings
  * E320: Enable devtest for E320
  * E320: images: Separate images package for Aurora image
  * E320: Get RFNoC crossbar baseport from FPGA
  * E320: add fpga_version_hash to e320 device info
  * E310: Fix initialization of antenna and frequency values
  * E31x: Destruct RFNoC before loading idle image
  * X300: Reduce default send_frame_size to 4000 over Ethernet
  * X300: Change Ethernet buffering
  * X300: Log git hash and compat number as debug message
  * X300: Move defaults to their own header
  * X300: Use constrained_args
  * X300: Enable clock_source and time_source device args
  * X300: NIRIO: Demote RPC client cancel/abort to TRACE
  * X300: remove default_buff_args properties
  * X300: Remove 120 MHz master_clock_rate option
  * X300: Set minimum master clock rate to 184.32 MHz
  * X300: Factor our PID -> MB type and MB type -> product name mapping
  * X300: Remove usage of boost::bind
  * X300: Fix compiler warnings related to type conversions
  * X300: Fix tick and sample rate setting
  * X300: Enable ADC gain through RFNoC API
  * X300: Demote NIRIO rpc client start/stop log messages to DEBUG
  * X300: Enable 11.52 MHz and 23.04 MHz system ref rates
  * X300: Enable x300_device_args.to_string()
  * X300: Catch more inconsistencies in x300_device_args
  * X300: Removed invalid 200 MHz sysref rate
  * X300: Change PLL CP currents in x300_clock_ctrl
  * B200: Remove superfluous fake lambda
  * B200: Add support for user regs
  * B200: Fix compiler warnings related to type conversions
  * B100: Move fifo_ctrl_excelsior to b100 subdir
  * B100: Fix fifo_ctrl_excelsior not exiting
  * B100: Remove all Boostisms from fifo_ctrl_excelsior
  * B100: Demote some clocking-related log messages to trace
  * MPM: Get list of temperatures from all thermal zones
  * MPM: add link_speed xport_info
  * MPM: Add __mpm_device__ as usrp_hwd module variable
  * MPM: Add usrp_update_fs
  * MPM: Add i2c APIs for simple transfers
  * MPM: Add vector-based transfer function for i2c
  * MPM: Add variable configuration support to nijesdcore
  * MPM: Add eyescan utility to nijesdcore
  * MPM: Add PRBS-31 testing to nijesdcore
  * MPM: Add convenience function to pull i2c bus from device tree
  * MPM: Open and close i2c file descriptor on every access
  * MPM: Multiprocessing instead of threading for claimer loop
  * MPM: Factor out user EEPROM code into own module
  * MPM: Add gpgga sensor function to GPSd iface
  * MPM: Add bridge mode support
  * MPM: Parameterize max UDP link allocation
  * MPM: xport: add commit_xport docstring
  * MPM: Improve error message on double-claim
  * MPMD: Parallelize broadcast-finding
  * MPMD: add option to enum rfnoc blocks from args
  * MPMD: add link speed to xport udp
  * MPMD: Add API to set RPC timeout atomically
  * MPMD: Move timeout constants to header
  * MPMD: Use new RPC API with timeout
